include	clib.inc
include io.inc
include stdio.inc
include string.inc

PPROC	puts, string:DPTR
	mov	ax,word ptr string
	MMOV	dx,word ptr string+2
	push	0
	MPUSH	dx
	push	ax
	MPUSH	dx
	push	ax
	call	strlen
	push	ax
	call	write
	ret
PEND	puts

	END
